<?php

// Routes for conveyancing.

// Guard routes for conveyancing
Route::prefix('{guard}/conveyancing')->group(function () {

    Route::get('conveyancing/report/{report}', 'ConveyancingReportController');
    Route::patch('conveyancing/actions/{action}', 'ConveyancingActionsController');
    Route::patch('conveyancing/action/{conveyancing}/{action}', 'ConveyancingActionController');
    Route::patch('conveyancing/workflow/{conveyancing}/{transition}', 'ConveyancingWorkflowController');
    Route::resource('conveyancing', 'ConveyancingResourceController');
});

// Guard routes for contact
Route::prefix('{guard}/conveyancing')->group(function () {

    Route::get('contact/report/{report}', 'ContactReportController');
    Route::patch('contact/actions/{action}', 'ContactActionsController');
    Route::patch('contact/action/{contact}/{action}', 'ContactActionController');
    Route::patch('contact/workflow/{contact}/{transition}', 'ContactWorkflowController');
    Route::resource('contact', 'ContactResourceController');
});



// Public routes for conveyancing
Route::get('conveyancings/', 'ConveyancingPublicController@index');
Route::get('conveyancing/{slug?}', 'ConveyancingPublicController@show');
