<?php

namespace Bixo\Conveyancing;

use Bixo\Conveyancing\Actions\ConveyancingActions;
use Bixo\Conveyancing\Actions\ContactActions;


class Conveyancing
{
    /**
     * Return select options conveyancing for the module.
     *
     * @param string $module
     * @param array $request
     *
     * @return array
     */
    public function options($module = 'conveyancing', $request = []) :array
    {
        if ($module == 'conveyancing') {
            return ConveyancingActions::run('options', $request);
        }

    }
}
