<?php

namespace Bixo\Conveyancing\Events;

use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;
use Bixo\Conveyancing\Models\Contact;

class ContactAction
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    /**
     * Create a new event instance.
     */
    public function __construct(
        public string $action,
        public Contact $contact,
        public array $request = [],
        public string $when = 'after'
    ) {}
}
