<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for conveyancing in conveyancing package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  conveyancing module in conveyancing package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Conveyancing',
    'names' => 'Conveyancings',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Conveyancings',
        'sub' => 'Conveyancings'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'property_status' => 
            [
                                
                [
                    'key'    => 'Completed',
                    'value'  => 'Completed',
                    'text'   => 'Completed',
                ],
                                
                [
                    'key'    => 'Under Construction',
                    'value'  => 'Under Construction',
                    'text'   => 'Under Construction',
                ],
                                
            ],

        'status' => 
            [
                                
                [
                    'key'    => 'Verified',
                    'value'  => 'Verified',
                    'text'   => 'Verified',
                ],
                                
                [
                    'key'    => 'Pending',
                    'value'  => 'Pending',
                    'text'   => 'Pending',
                ],
                                
                [
                    'key'    => 'Approved',
                    'value'  => 'Approved',
                    'text'   => 'Approved',
                ],
                                
                [
                    'key'    => 'Draft',
                    'value'  => 'Draft',
                    'text'   => 'Draft',
                ],
                                
                [
                    'key'    => 'Completed',
                    'value'  => 'Completed',
                    'text'   => 'Completed',
                ],
                                
                [
                    'key'    => 'MOU Pending',
                    'value'  => 'MOU Pending',
                    'text'   => 'MOU Pending',
                ],
                                
                [
                    'key'    => 'Form A Signed',
                    'value'  => 'Form A Signed',
                    'text'   => 'Form A Signed',
                ],
                                
                [
                    'key'    => 'Form B Signed',
                    'value'  => 'Form B Signed',
                    'text'   => 'Form B Signed',
                ],
                                
                [
                    'key'    => 'Mou Drafted',
                    'value'  => 'Mou Drafted',
                    'text'   => 'Mou Drafted',
                ],
                                
                [
                    'key'    => 'Mou Signed Buyer',
                    'value'  => 'Mou Signed Buyer',
                    'text'   => 'Mou Signed Buyer',
                ],
                                
                [
                    'key'    => 'Mou Signed Seller',
                    'value'  => 'Mou Signed Seller',
                    'text'   => 'Mou Signed Seller',
                ],
                                
                [
                    'key'    => 'MOU Won',
                    'value'  => 'MOU Won',
                    'text'   => 'MOU Won',
                ],
                                
                [
                    'key'    => 'NOC Submitted',
                    'value'  => 'NOC Submitted',
                    'text'   => 'NOC Submitted',
                ],
                                
                [
                    'key'    => 'NOC Received',
                    'value'  => 'NOC Received',
                    'text'   => 'NOC Received',
                ],
                                
                [
                    'key'    => 'FOL Issued',
                    'value'  => 'FOL Issued',
                    'text'   => 'FOL Issued',
                ],
                                
                [
                    'key'    => 'Liability Letter issued',
                    'value'  => 'Liability Letter issued',
                    'text'   => 'Liability Letter issued',
                ],
                                
                [
                    'key'    => 'Transfer date set',
                    'value'  => 'Transfer date set',
                    'text'   => 'Transfer date set',
                ],
                                
                [
                    'key'    => 'Transfer Completed',
                    'value'  => 'Transfer Completed',
                    'text'   => 'Transfer Completed',
                ],
                                
                [
                    'key'    => 'Agency Fee Submitted',
                    'value'  => 'Agency Fee Submitted',
                    'text'   => 'Agency Fee Submitted',
                ],
                                
            ],

        'plot_area_unit' => 
            [
                                
                [
                    'key'    => 'sqft',
                    'value'  => 'sqft',
                    'text'   => 'sqft',
                ],
                                
                [
                    'key'    => 'sqm',
                    'value'  => 'sqm',
                    'text'   => 'sqm',
                ],
                                
            ],

        'status_fcs' => 
            [
                                
                [
                    'key'    => 'New',
                    'value'  => 'New',
                    'text'   => 'New',
                ],
                                
                [
                    'key'    => 'Positive Match',
                    'value'  => 'Positive Match',
                    'text'   => 'Positive Match',
                ],
                                
                [
                    'key'    => 'False Match',
                    'value'  => 'False Match',
                    'text'   => 'False Match',
                ],
                                
            ],

        'external_agency_rep' => 
            [
                                
                [
                    'key'    => 'No External Agency',
                    'value'  => 'No External Agency',
                    'text'   => 'No External Agency',
                ],
                                
                [
                    'key'    => 'Seller',
                    'value'  => 'Seller',
                    'text'   => 'Seller',
                ],
                                
                [
                    'key'    => 'Buyer',
                    'value'  => 'Buyer',
                    'text'   => 'Buyer',
                ],
                                
                [
                    'key'    => 'Both',
                    'value'  => 'Both',
                    'text'   => 'Both',
                ],
                                
            ],

        'type_of_area' => 
            [
                                
                [
                    'key'    => 'Freehold',
                    'value'  => 'Freehold',
                    'text'   => 'Freehold',
                ],
                                
                [
                    'key'    => 'Leasehold',
                    'value'  => 'Leasehold',
                    'text'   => 'Leasehold',
                ],
                                
                [
                    'key'    => 'Not Designated',
                    'value'  => 'Not Designated',
                    'text'   => 'Not Designated',
                ],
                                
            ],

        'noc_attached' => 
            [
                                
                [
                    'key'    => 'Yes',
                    'value'  => 'Yes',
                    'text'   => 'Yes',
                ],
                                
                [
                    'key'    => 'No',
                    'value'  => 'No',
                    'text'   => 'No',
                ],
                                
            ],

        'buyer_type' => 
            [
                                
                [
                    'key'    => 'Cash',
                    'value'  => 'Cash',
                    'text'   => 'Cash',
                ],
                                
                [
                    'key'    => 'Mortgage',
                    'value'  => 'Mortgage',
                    'text'   => 'Mortgage',
                ],
                                
            ],

        'seller_type' => 
            [
                                
                [
                    'key'    => 'Cash',
                    'value'  => 'Cash',
                    'text'   => 'Cash',
                ],
                                
                [
                    'key'    => 'Mortgage',
                    'value'  => 'Mortgage',
                    'text'   => 'Mortgage',
                ],
                                
            ],

        'present_use' => 
            [
                                
                [
                    'key'    => 'Residential',
                    'value'  => 'Residential',
                    'text'   => 'Residential',
                ],
                                
                [
                    'key'    => 'Commercial',
                    'value'  => 'Commercial',
                    'text'   => 'Commercial',
                ],
                                
                [
                    'key'    => 'Industrial',
                    'value'  => 'Industrial',
                    'text'   => 'Industrial',
                ],
                                
            ],

        'owner_card' => 
            [
                                
                [
                    'key'    => 'Yes',
                    'value'  => 'Yes',
                    'text'   => 'Yes',
                ],
                                
                [
                    'key'    => 'No',
                    'value'  => 'No',
                    'text'   => 'No',
                ],
                                
            ],

        'buyer_card' => 
            [
                                
                [
                    'key'    => 'Yes',
                    'value'  => 'Yes',
                    'text'   => 'Yes',
                ],
                                
                [
                    'key'    => 'No',
                    'value'  => 'No',
                    'text'   => 'No',
                ],
                                
            ],

        'owner_power_attorney' => 
            [
                                
                [
                    'key'    => 'Yes',
                    'value'  => 'Yes',
                    'text'   => 'Yes',
                ],
                                
                [
                    'key'    => 'No',
                    'value'  => 'No',
                    'text'   => 'No',
                ],
                                
            ],

        'buyer_power_attorney' => 
            [
                                
                [
                    'key'    => 'Yes',
                    'value'  => 'Yes',
                    'text'   => 'Yes',
                ],
                                
                [
                    'key'    => 'No',
                    'value'  => 'No',
                    'text'   => 'No',
                ],
                                
            ],

        'on_payment_plan' => 
            [
                                
                [
                    'key'    => 'Yes',
                    'value'  => 'Yes',
                    'text'   => 'Yes',
                ],
                                
                [
                    'key'    => 'No',
                    'value'  => 'No',
                    'text'   => 'No',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'deal_ref'                   => 'Please enter deal ref',
        'team_id'                    => 'Please enter team id',
        'deal_id'                    => 'Please enter deal id',
        'location'                   => 'Please enter location',
        'buyers'                     => 'Please enter buyers',
        'sellers'                    => 'Please enter sellers',
        'developer'                  => 'Please enter developer',
        'ref'                        => 'Please enter ref',
        'type'                       => 'Please enter type',
        'property_type'              => 'Please enter property type',
        'property_status'            => 'Please select property status',
        'developer_id'               => 'Please enter developer id',
        'agent_id'                   => 'Please enter agent id',
        'bua'                        => 'Please enter bua',
        'plot'                       => 'Please enter plot',
        'status'                     => 'Please select status',
        'plot_area'                  => 'Please enter plot area',
        'plot_area_unit'             => 'Please select plot area unit',
        'commission_buyer'           => 'Please enter commission buyer',
        'commission_buyer_percent'        => 'Please enter commission buyer percent',
        'commission_buyer_vat'        => 'Please enter commission buyer vat',
        'commission_seller'          => 'Please enter commission seller',
        'commission_seller_percent'        => 'Please enter commission seller percent',
        'commission_seller_vat'        => 'Please enter commission seller vat',
        'unit_no'                    => 'Please enter unit no',
        'agency_commission_amt'        => 'Please enter agency commission amt',
        'beds'                       => 'Please enter beds',
        'notes'                      => 'Please enter notes',
        'approved_id'                => 'Please enter approved id',
        'approved_date'              => 'Please select approved date',
        'mou_start_date'             => 'Please select mou start date',
        'mou_end_date'               => 'Please select mou end date',
        'documents'                  => 'Please enter documents',
        'status_fcs'                 => 'Please select status fcs',
        'original_price'             => 'Please enter original price',
        'paid_amount'                => 'Please enter paid amount',
        'selling_price'              => 'Please enter selling price',
        'service_charge'             => 'Please enter service charge',
        'balance_amount'             => 'Please enter balance amount',
        'due_to_developer'           => 'Please enter due to developer',
        'due_to_seller'              => 'Please enter due to seller',
        'external_office_name'        => 'Please enter external office name',
        'external_license'           => 'Please enter external license',
        'external_orn'               => 'Please enter external orn',
        'external_license_no'        => 'Please enter external license no',
        'external_fax'               => 'Please enter external fax',
        'external_phone'             => 'Please enter external phone',
        'external_address'           => 'Please enter external address',
        'external_email'             => 'Please enter external email',
        'external_agent_name'        => 'Please enter external agent name',
        'external_mobile'            => 'Please enter external mobile',
        'external_brn'               => 'Please enter external brn',
        'external_agency_rep'        => 'Please select external agency rep',
        'project_name'               => 'Please enter project name',
        'development'                => 'Please enter development',
        'community'                  => 'Please enter community',
        'date_of_transfer'           => 'Please select date of transfer',
        'type_of_area'               => 'Please select type of area',
        'title_deed_no'              => 'Please enter title deed no',
        'property_no'                => 'Please enter property no',
        'community_no'               => 'Please enter community no',
        'type_of_sale'               => 'Please enter type of sale',
        'noc_developer'              => 'Please enter noc developer',
        'mortgage'                   => 'Please enter mortgage',
        'mortgage_amount'            => 'Please enter mortgage amount',
        'mortgage_paid_amount'        => 'Please enter mortgage paid amount',
        'mortgage_period_from'        => 'Please select mortgage period from',
        'mortgage_period_to'         => 'Please select mortgage period to',
        'mortgage_level'             => 'Please enter mortgage level',
        'mortgage_discharge_fee'        => 'Please enter mortgage discharge fee',
        'mortgage_registration_fee'        => 'Please enter mortgage registration fee',
        'noc_attached'               => 'Please select noc attached',
        'buyer_type'                 => 'Please select buyer type',
        'seller_type'                => 'Please select seller type',
        'buyer_transfer_fee_per'        => 'Please enter buyer transfer fee per',
        'buyer_transfer_fee'         => 'Please enter buyer transfer fee',
        'seller_transfer_fee_per'        => 'Please enter seller transfer fee per',
        'seller_transfer_fee'        => 'Please enter seller transfer fee',
        'transfer_admin_fee'         => 'Please enter transfer admin fee',
        'buyer_community_fees'        => 'Please enter buyer community fees',
        'seller_community_fees'        => 'Please enter seller community fees',
        'buyer_total_amount'         => 'Please enter buyer total amount',
        'seller_total_amount'        => 'Please enter seller total amount',
        'noc_fee'                    => 'Please enter noc fee',
        'buyer_conveyance_fee'        => 'Please enter buyer conveyance fee',
        'buyer_deposit_percent'        => 'Please enter buyer deposit percent',
        'buyer_deposit'              => 'Please enter buyer deposit',
        'seller_conveyance_fee'        => 'Please enter seller conveyance fee',
        'buyer_progression_fee'        => 'Please enter buyer progression fee',
        'seller_progression_fee'        => 'Please enter seller progression fee',
        'property_blocking_fee'        => 'Please enter property blocking fee',
        'trustee_blocking_fee'        => 'Please enter trustee blocking fee',
        'buyer_sell_price'           => 'Please enter buyer sell price',
        'commission_agency'          => 'Please enter commission agency',
        'present_use'                => 'Please select present use',
        'additional_info'            => 'Please enter additional info',
        'listed_price'               => 'Please enter listed price',
        'agent_brn'                  => 'Please enter agent brn',
        'agent_mobile'               => 'Please enter agent mobile',
        'property_rented'            => 'Please enter property rented',
        'rent_amount'                => 'Please enter rent amount',
        'rent_security_deposit'        => 'Please enter rent security deposit',
        'number_of_rented_properties'        => 'Please enter number of rented properties',
        'rent_expiry'                => 'Please select rent expiry',
        'number_of_cheque'           => 'Please enter number of cheque',
        'rent_refund'                => 'Please enter rent refund',
        'refund_to_buyer'            => 'Please enter refund to buyer',
        'owner_name_english'         => 'Please enter owner name english',
        'owner_name_arabic'          => 'Please enter owner name arabic',
        'owner_LR_english'           => 'Please enter owner LR english',
        'owner_LR_arabic'            => 'Please enter owner LR arabic',
        'owner_representing_type'        => 'Please enter owner representing type',
        'owner_attorney_no'          => 'Please enter owner attorney no',
        'owner_card'                 => 'Please select owner card',
        'buyer_card'                 => 'Please select buyer card',
        'owner_power_attorney'        => 'Please select owner power attorney',
        'buyer_power_attorney'        => 'Please select buyer power attorney',
        'buyer_name_english'         => 'Please enter buyer name english',
        'buyer_name_arabic'          => 'Please enter buyer name arabic',
        'buyer_LR_english'           => 'Please enter buyer LR english',
        'buyer_LR_arabic'            => 'Please enter buyer LR arabic',
        'buyer_representing_type'        => 'Please enter buyer representing type',
        'buyer_attorney_no'          => 'Please enter buyer attorney no',
        'slug'                       => 'Please enter slug',
        'opportunity_id'             => 'Please enter opportunity id',
        'offer_id'                   => 'Please enter offer id',
        'rent_start_date'            => 'Please enter rent start date',
        'stage'                      => 'Please enter stage',
        'stages'                     => 'Please enter stages',
        'baths'                      => 'Please enter baths',
        'furnished'                  => 'Please enter furnished',
        'occupancy'                  => 'Please enter occupancy',
        'conveyencer'                => 'Please enter conveyencer',
        'admin'                      => 'Please enter admin',
        'on_payment_plan'            => 'Please select on payment plan',
        'external_documents'         => 'Please enter external documents',
        'seller_agent_id'            => 'Please enter seller agent id',
        'buyer_documents'            => 'Please enter buyer documents',
        'seller_documents'           => 'Please enter seller documents',
        'approved_loan_amount'        => 'Please enter approved loan amount',
        'conveyancer'                => 'Please enter conveyancer',
        'rejected_description'        => 'Please enter rejected description',
        'conveyancer_notes'          => 'Please enter conveyancer notes',
        'notifications'              => 'Please enter notifications',
        'listing_id'                 => 'Please enter listing id',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'deal_ref'                   => 'Deal ref',
        'team_id'                    => 'Team id',
        'deal_id'                    => 'Deal id',
        'location'                   => 'Location',
        'buyers'                     => 'Buyers',
        'sellers'                    => 'Sellers',
        'developer'                  => 'Developer',
        'ref'                        => 'Ref',
        'type'                       => 'Type',
        'property_type'              => 'Property type',
        'property_status'            => 'Property status',
        'developer_id'               => 'Developer id',
        'agent_id'                   => 'Agent id',
        'bua'                        => 'Bua',
        'plot'                       => 'Plot',
        'status'                     => 'Status',
        'plot_area'                  => 'Plot area',
        'plot_area_unit'             => 'Plot area unit',
        'commission_buyer'           => 'Commission buyer',
        'commission_buyer_percent'        => 'Commission buyer percent',
        'commission_buyer_vat'        => 'Commission buyer vat',
        'commission_seller'          => 'Commission seller',
        'commission_seller_percent'        => 'Commission seller percent',
        'commission_seller_vat'        => 'Commission seller vat',
        'unit_no'                    => 'Unit no',
        'agency_commission_amt'        => 'Agency commission amt',
        'beds'                       => 'Beds',
        'notes'                      => 'Notes',
        'approved_id'                => 'Approved id',
        'approved_date'              => 'Approved date',
        'mou_start_date'             => 'Mou start date',
        'mou_end_date'               => 'Mou end date',
        'documents'                  => 'Documents',
        'status_fcs'                 => 'Status fcs',
        'original_price'             => 'Original price',
        'paid_amount'                => 'Paid amount',
        'selling_price'              => 'Selling price',
        'service_charge'             => 'Service charge',
        'balance_amount'             => 'Balance amount',
        'due_to_developer'           => 'Due to developer',
        'due_to_seller'              => 'Due to seller',
        'external_office_name'        => 'External office name',
        'external_license'           => 'External license',
        'external_orn'               => 'External orn',
        'external_license_no'        => 'External license no',
        'external_fax'               => 'External fax',
        'external_phone'             => 'External phone',
        'external_address'           => 'External address',
        'external_email'             => 'External email',
        'external_agent_name'        => 'External agent name',
        'external_mobile'            => 'External mobile',
        'external_brn'               => 'External brn',
        'external_agency_rep'        => 'External agency rep',
        'project_name'               => 'Project name',
        'development'                => 'Development',
        'community'                  => 'Community',
        'date_of_transfer'           => 'Date of transfer',
        'type_of_area'               => 'Type of area',
        'title_deed_no'              => 'Title deed no',
        'property_no'                => 'Property no',
        'community_no'               => 'Community no',
        'type_of_sale'               => 'Type of sale',
        'noc_developer'              => 'Noc developer',
        'mortgage'                   => 'Mortgage',
        'mortgage_amount'            => 'Mortgage amount',
        'mortgage_paid_amount'        => 'Mortgage paid amount',
        'mortgage_period_from'        => 'Mortgage period from',
        'mortgage_period_to'         => 'Mortgage period to',
        'mortgage_level'             => 'Mortgage level',
        'mortgage_discharge_fee'        => 'Mortgage discharge fee',
        'mortgage_registration_fee'        => 'Mortgage registration fee',
        'noc_attached'               => 'Noc attached',
        'buyer_type'                 => 'Buyer type',
        'seller_type'                => 'Seller type',
        'buyer_transfer_fee_per'        => 'Buyer transfer fee per',
        'buyer_transfer_fee'         => 'Buyer transfer fee',
        'seller_transfer_fee_per'        => 'Seller transfer fee per',
        'seller_transfer_fee'        => 'Seller transfer fee',
        'transfer_admin_fee'         => 'Transfer admin fee',
        'buyer_community_fees'        => 'Buyer community fees',
        'seller_community_fees'        => 'Seller community fees',
        'buyer_total_amount'         => 'Buyer total amount',
        'seller_total_amount'        => 'Seller total amount',
        'noc_fee'                    => 'Noc fee',
        'buyer_conveyance_fee'        => 'Buyer conveyance fee',
        'buyer_deposit_percent'        => 'Buyer deposit percent',
        'buyer_deposit'              => 'Buyer deposit',
        'seller_conveyance_fee'        => 'Seller conveyance fee',
        'buyer_progression_fee'        => 'Buyer progression fee',
        'seller_progression_fee'        => 'Seller progression fee',
        'property_blocking_fee'        => 'Property blocking fee',
        'trustee_blocking_fee'        => 'Trustee blocking fee',
        'buyer_sell_price'           => 'Buyer sell price',
        'commission_agency'          => 'Commission agency',
        'present_use'                => 'Present use',
        'additional_info'            => 'Additional info',
        'listed_price'               => 'Listed price',
        'agent_brn'                  => 'Agent brn',
        'agent_mobile'               => 'Agent mobile',
        'property_rented'            => 'Property rented',
        'rent_amount'                => 'Rent amount',
        'rent_security_deposit'        => 'Rent security deposit',
        'number_of_rented_properties'        => 'Number of rented properties',
        'rent_expiry'                => 'Rent expiry',
        'number_of_cheque'           => 'Number of cheque',
        'rent_refund'                => 'Rent refund',
        'refund_to_buyer'            => 'Refund to buyer',
        'owner_name_english'         => 'Owner name english',
        'owner_name_arabic'          => 'Owner name arabic',
        'owner_LR_english'           => 'Owner LR english',
        'owner_LR_arabic'            => 'Owner LR arabic',
        'owner_representing_type'        => 'Owner representing type',
        'owner_attorney_no'          => 'Owner attorney no',
        'owner_card'                 => 'Owner card',
        'buyer_card'                 => 'Buyer card',
        'owner_power_attorney'        => 'Owner power attorney',
        'buyer_power_attorney'        => 'Buyer power attorney',
        'buyer_name_english'         => 'Buyer name english',
        'buyer_name_arabic'          => 'Buyer name arabic',
        'buyer_LR_english'           => 'Buyer LR english',
        'buyer_LR_arabic'            => 'Buyer LR arabic',
        'buyer_representing_type'        => 'Buyer representing type',
        'buyer_attorney_no'          => 'Buyer attorney no',
        'slug'                       => 'Slug',
        'opportunity_id'             => 'Opportunity id',
        'offer_id'                   => 'Offer id',
        'rent_start_date'            => 'Rent start date',
        'stage'                      => 'Stage',
        'stages'                     => 'Stages',
        'baths'                      => 'Baths',
        'furnished'                  => 'Furnished',
        'occupancy'                  => 'Occupancy',
        'conveyencer'                => 'Conveyencer',
        'admin'                      => 'Admin',
        'on_payment_plan'            => 'On payment plan',
        'external_documents'         => 'External documents',
        'seller_agent_id'            => 'Seller agent id',
        'buyer_documents'            => 'Buyer documents',
        'seller_documents'           => 'Seller documents',
        'approved_loan_amount'        => 'Approved loan amount',
        'conveyancer'                => 'Conveyancer',
        'rejected_description'        => 'Rejected description',
        'conveyancer_notes'          => 'Conveyancer notes',
        'notifications'              => 'Notifications',
        'listing_id'                 => 'Listing id',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
