<?php

namespace Bixo\Conveyancing\Actions;

use Illuminate\Http\Request;
use Bixo\Conveyancing\Models\Contact;
use Litepie\Actions\Concerns\AsAction;
use Illuminate\Support\Str;

class ContactReport
{
    use AsAction;

    private $model;

    public function handle(Request $request, string $report)
    {
        $this->model = app(Contact::class);
        $function = Str::camel($report);
        return $this->$function();
    }
    
    public function sample(Request $request)
    {
        return $request;
    }

}
