<?php

namespace Bixo\Conveyancing\Providers;

use Litepie\Foundation\Support\Providers\ActionServiceProvider as ServiceProvider;

class ActionServiceProvider extends ServiceProvider
{
    /**
     * Indicates if loading of the provider is deferred.
     *
     * @var bool
     */
    protected $defer = true;

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function actions()
    {
        return [
            \Bixo\Conveyancing\Models\Conveyancing::class
                 => config('bixo.conveyancing.conveyancing.actions')        \Bixo\Conveyancing\Models\Contact::class
                 => config('bixo.conveyancing.contact.actions')
            ];
    }

}
