<?php

namespace Bixo\Conveyancing\Providers;

use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * Indicates if loading of the provider is deferred.
     *
     * @var bool
     */
    protected $defer = true;

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function workflows()
    {
        return [
            \Bixo\Conveyancing\Models\Conveyancing::class 
                => config('bixo.conveyancing.conveyancing.workflow')        \Bixo\Conveyancing\Models\Contact::class 
                => config('bixo.conveyancing.contact.workflow')
            ];
    }

}
